Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.control
Class AbstractSearchListener

    java.lang.Object
      org.deegree.enterprise.control.ajax.AbstractListener
          org.deegree.portal.cataloguemanager.control.AbstractMetadataListener
              org.deegree.portal.cataloguemanager.control.AbstractSearchListener

Direct Known Subclasses:
  MetadataSearchListener, PageingListener

    abstract class AbstractSearchListener

extends AbstractMetadataListener

TODO add class documentation here

Version:
  $Revision: $, $Date: $
Author:
  Andreas Poth, last edited by: $Author: admin $

Field Summary
`protected CatalogueManagerConfiguration` | `config`
`protected static NamespaceContext` | `nsc`
`protected List<SearchResultInfo>` | `searchResultInfos`

Fields inherited from class org.deegree.portal.cataloguemanager.control.AbstractMetadataListener
`COUNTER, CURRENTSEARCH, SEARCHRESULTINFO`

Fields inherited from class org.deegree.enterprise.control.ajax.AbstractListener
`timeout`

Constructor Summary
`AbstractSearchListener()`

Method Summary
`protected List<SearchResultBean>` | `formatResult(List<Pair<String,XMLFragment>> result)`
`protected List<Pair<String,XMLFragment>>` | `performQuery(GetRecords getRecords)`

Methods inherited from class org.deegree.portal.cataloguemanager.control.AbstractMetadataListener
`getCatalogueManagerConfiguration, loadMetadataTemplate`

Methods inherited from class org.deegree.enterprise.control.ajax.AbstractListener
`actionPerformed, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected CatalogueManagerConfiguration config

### searchResultInfos

    protected List<SearchResultInfo> searchResultInfos

### nsc

    protected static NamespaceContext nsc

Constructor Detail

### AbstractSearchListener

    AbstractSearchListener()

Method Detail

### performQuery

    protected List<Pair<String,XMLFragment>> performQuery(GetRecords getRecords)
                                                   throws Throwable

  Parameters:
    `getRecords` -
  Returns:
  Throws:
    `Throwable`

### formatResult

    protected List<SearchResultBean> formatResult(List<Pair<String,XMLFragment>> result)
                                           throws Exception

  Parameters:
    `result` - first parameter of pair contains CSW URL second one contains GetRecords result
  Returns:
    first string of pair contains CSW URL second one contains formatted GetRecords result
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org